/***************************************************************************************
*									KoSi_Gen.c
*
* WinAVR Vers.:			
*
* AVR-Studio Version:	5
*
* Autor: 				Rick
*
* Getestet:						
*
* Letzte nderung:		
*
***************************************************************************************/

#include "KoSi_Gen.h"

// ********************************** MAIN *******************************************

int main(void)
{
    
	adc_init();
	timer1_init();
	lcd_init(LCD_DISP_ON);
	//uart_init(UART_BAUD_SELECT(UART_BAUD_RATE,XTAL));
		
	MCUCSR |= (1<<JTD);		// JTAG aus
	MCUCSR |= (1<<JTD);
	
	DDRA = 0x00;		// PORTA Pin0 bis 6 fr Testzwecke nicht bentzt ->als Eingang + Pull Up EIN
	PORTA |= (1<<PA0) | (1<<PA1) | (1<<PA2) | (1<<PA3)| (1<<PA4) | (1<<PA5) | (1<<PA6);
	PORTA &= ~(1<<PA7); // PA7 fr Tasten auf high-z


	DDRC = 0xFF;		// PORTC als Ausgang (LEDs)
	PORTC = 0x00;		// Alle LEDs ein (fr Funktionstest)
	
	DDRD |= (1<<PD2) | (1<<PD3) | (1<<PD4) | (1<<PD5)| (1<<PD6) | (1<<PD7);		// PORTD Pin 2 bis Pin7 als Eingang ,da unbentzt
	PORTD |= (1<<PD2) | (1<<PD3) | (1<<PD4) | (1<<PD5)| (1<<PD6) | (1<<PD7);	// Interne Pull-Up ein
																				// PD0 + PD1 fr RS232
	for(uint8_t i=0 ; i<= 100 ; i++)  // ca. 1,6 sec warten
		_delay_ms(16);
	
	PORTC = 0xFF;		// Alle LEDS aus
	
	sei();				// globale Interrupts ein
	
	
//********************************* HAUPTSCHLEIFE *************************************	
	while(1)		
    {
		
		if(second_puls == 1)		// toggle LED7 an PC7
			PORTC ^= (1<<PC7);
		
		
					
		lcd_gotoxy(0,1);							// ADC-Wert anzeigen
		lcd_puts("ADC:");
		itoa (adc_value_2 , string , 10);
		lcd_puts(string);
		if (adc_value_2 < 100)
			lcd_putc(' ');
		if (adc_value_2 < 10)
			lcd_puts("  ");
		
		lcd_gotoxy(8,1);							// Variable button anzeigen
		itoa (button , string , 10);
		lcd_puts(string);
		
		lcd_gotoxy(10,1);							// Variable equal_counter anzeigen
		itoa (equal_counter , string , 10);
		lcd_puts(string);
		if (equal_counter < 100)
			lcd_putc(' ');
		if (equal_counter < 10)
			lcd_puts("  ");
		
		
		
		
		//***************************** TASTENABFRAGE *********************************
		 
		
		switch (button)					// Handlung zuweisen
		{
							
			case 0:						// keine Taste gedrckt nix machen
				break;					
		
			case 1:						// Taste 1
				//lcd_clrscr();
				lcd_gotoxy(0,0);
				lcd_puts("Taste1");						
				PORTC ^= (1<<PC0);
				button = 0;				// erkannte Taste zurcksetzen
				break;
						
					 
			case 2:
				//lcd_clrscr();
				lcd_gotoxy(0,0);
				lcd_puts("Taste2");		// Taste 2
				PORTC ^= (1<<PC1);
				button = 0;				// erkannte Taste zurcksetzen
				break;
		
			case 3:	
				//lcd_clrscr();
				lcd_gotoxy(0,0);
				lcd_puts("Taste3");		// Taste 3
				PORTC ^= (1<<PC2);
				button = 0;				// erkannte Taste zurcksetzen
				break;
		
			case 4:	
				//lcd_clrscr();
				lcd_gotoxy(0,0);
				lcd_puts("Taste4");		// Taste 4
				PORTC ^= (1<<PC3);
				button = 0;				// erkannte Taste zurcksetzen
				break;
		
			case 5:	
				//lcd_clrscr();
				lcd_gotoxy(0,0);
				lcd_puts("Taste5");		// Taste 5
				PORTC ^= (1<<PC4);
				button = 0;				// erkannte Taste zurcksetzen
				break;
		
			default:
				break;
		}			
													
		
		
		
	}    

}
