/**************************************************************************************
*									KoSi_Gen.h
*
*
* GGC-Version:			4.5.1
*
* AVR-Studio Version:	5.0.1163
*
* Autor: 				Rick
*
* Getestet:						
*
* Letzte nderung:		
*
*
*
* 
***************************************************************************************/

//********************* Defines *******************************************************
#ifndef KOSI_GEN_H_
#define KOSI_GEN_H_
#endif

#ifndef UART_BAUD_RATE
#define UART_BAUD_RATE	9600					// Baudrate fr UART
#endif

#ifndef XTAL
#define XTAL 16000000L							// Quarzfrequenz fr Berechnung in Herz
#endif

#ifndef F_CPU
#define F_CPU 16000000L							// Quarzfrequenz fr delay library
#endif





#include <avr/io.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <util/delay.h>
#include <avr/interrupt.h>

#include "timer1.h"
#include "lcd.h"
#include "ADC.h"






//******************** globale Variablen *********************************************



char string[5];							// Array fr Anzeige des ADC-Wertes am LCD








/***************************************************************************************
*
*Funktionsname:		read_LUT (Look Up Table)
*
*Rckgabe:			Tastennummer (1 bis 5), 0 fr keine Taste gedrckt
*
*Parameter:			ADC-Wert
*
*Aufgabe:			Ermittelt die gedrckte Taste
*
*
* getestet: 
*
***************************************************************************************/

uint8_t read_LUT(uint16_t adc_val_button)
{
	uint8_t button;
			
	// LUT fr AREF = AVCC = U_teiler = 4,93V
		
		
		if(adc_val_button <= 324) button = 1;	// Taster 1
		if(adc_val_button <= 274) button = 2;
		if(adc_val_button <= 219) button = 3;
		if(adc_val_button <= 163) button = 4;
		if(adc_val_button <= 105) button = 5;	// Taster 5
		if(adc_val_button <=  44) button = 0;	// keine Taste gedrckt
	
		return button;

}


	
	
	
	
	
	
